Latest post Mon, Dec 7 2015 9:40 AM by andym. 4 replies.
Page 1 of 1 (5 items)
Sort Posts: Previous Next
  • Wed, Dec 2 2015 2:44 PM

    • PluginPCI
    • Not Ranked
    • Joined on Wed, Dec 2 2015
    • Posts 17
    • Points 165

    Error when executing TMAutoAPI samples

    Hi,

    We are developing a little utiliy which would permit to transfert an OP1A from outside of AVID world to demux OPAtoms inside AVID world (on an ISIS).

    We began with the TMAutoAPI samples, no problem to compile but when executing them, we receive the following error :

    "The procedure entry point ??1ErrorIF@Generic@AV@@QEAA@XZ is missing in the dynamic linked library GenericHelper.dll"

    Please advise.

    Regards

  • Wed, Dec 2 2015 3:01 PM In reply to

    • andym
    • Not Ranked
    • Joined on Thu, Jan 13 2011
    • Posts 93
    • Points 1,100
    • Avid Developer Moderator

    Re: Error when executing TMAutoAPI samples

    PluginPCI,

    this would normally indicate a version mismatch between the SDK and the Inteplay/Transfer version you're running; Generic Helper is one of the libraries that is widely used thoughout the Avid product portfolio. Alternatively, your TMAuto app might be picking up a wrong GH version from somewhere.

  • Wed, Dec 2 2015 4:18 PM In reply to

    • PluginPCI
    • Not Ranked
    • Joined on Wed, Dec 2 2015
    • Posts 17
    • Points 165

    Re: Error when executing TMAutoAPI samples

    Hi,

    The version of AVID Interplay Transfer is 3.1.0.43240.

    The version of the Client is 3.1.0.43330 with GenericHelper.dll in 12.1.16.25142.

    The Version of the AvidTMAutoAPI.dll is 3.0.5.40405.

    Does the version of AvidTMAutoAPI should reflect the one of the client ?

    If yes, where can we obtain the good version of the API ?

    Regards

     

     

     

  • Mon, Dec 7 2015 9:15 AM In reply to

    • PluginPCI
    • Not Ranked
    • Joined on Wed, Dec 2 2015
    • Posts 17
    • Points 165

    Re: Error when executing TMAutoAPI samples

    Hi,

     

    Up! Please can someone help?

     

    Regards, 

  • Mon, Dec 7 2015 9:40 AM In reply to

    • andym
    • Not Ranked
    • Joined on Thu, Jan 13 2011
    • Posts 93
    • Points 1,100
    • Avid Developer Moderator

    Re: Error when executing TMAutoAPI samples

    PluginPCI,

    the TMAuto and Transfer versions you list belong to different releases. Interplay 3.1 moved to 64-bit VC11, and you need TMAuto TMAUTO_VC11_x64_SDK_IP3.1_140708.

    If you are an API licensee then you should have been notified about the SDK update when it was released mid-2014. For all SDK licensing related questions, please contact partnerprograms@avid.com.

    Best Regards,

    Andy

Page 1 of 1 (5 items)

© Copyright 2011 Avid Technology, Inc.  Terms of Use |  Privacy Policy |  Site Map |  Find a Reseller